### Hierarchy

- unknown
  - MarketDepthRequest

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- serializeBinary
- setCurrencyCode
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketDepthRequest(): MarketDepthRequest

- Inherited from jspb.Message.constructor

  #### Returns MarketDepthRequest

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2132

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2135

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): MarketDepthRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2133

  #### Parameters

  - ##### value: string

  #### Returns MarketDepthRequest

### toObject

- toObject(includeInstance?: boolean): MarketDepthRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2136

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketDepthRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2139

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthRequest, reader: BinaryReader): MarketDepthRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2140

  #### Parameters

  - ##### message: MarketDepthRequest

  - ##### reader: BinaryReader

  #### Returns MarketDepthRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2138

  #### Parameters

  - ##### message: MarketDepthRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketDepthRequest ): MarketDepthRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2137

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthRequest

  #### Returns MarketDepthRequest . AsObject

Generated using TypeDoc